package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.itextpdf.layout.Document;
import com.ruoyi.gysl.entity.GyslProjectHandbook;

import javax.servlet.http.HttpServletResponse;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.net.MalformedURLException;

/**
 * 项目手册(GyslProjectHandbook)表服务接口
 *
 * @author makejava
 * @since 2025-04-14 13:56:59
 */
public interface GyslProjectHandbookService extends IService<GyslProjectHandbook> {


    /**
     * 生成pdf
     */
    void generatePdfs(HttpServletResponse response,Integer id) throws IOException;

    /**
     * 封面页设计
     */
    void addCoverPage(Document document, GyslProjectHandbook gyslProjectHandbook) throws MalformedURLException;
}


